﻿using Syncfusion.UI.Xaml.Kanban;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows.Controls;

namespace GettingStarted.Models
{
    public class KanbanViewModel:KanbanModel, INotifyPropertyChanged
    {
        private ObservableCollection<object> contextItems;
        public ObservableCollection<object> ContextItems
        {
            get { return contextItems; }
            set { SetProperty(ref contextItems, value); }
        }

        public KanbanViewModel()
        {
            ContextItems = new ObservableCollection<object>();
            ContextItems.Add(new MenuItem() { Header = "Удалить", Command = new DelegateCommand<object>(param => Delete()) });

        }

        private void Delete()
        {
            TaskDetails.Tasks.Remove(this);
        }

        #region INotifyPropertyChanged implementation
        protected bool SetProperty<T>(
           ref T backingStore, T value,
           [CallerMemberName]string propertyName = "",
           Action onChanged = null)
        {


            if (EqualityComparer<T>.Default.Equals(backingStore, value))
                return false;

            backingStore = value;

            if (onChanged != null)
                onChanged();

            OnPropertyChanged(propertyName);
            return true;
        }


        public event PropertyChangedEventHandler PropertyChanged;


        public void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            var changed = PropertyChanged;
            if (changed == null)
                return;

            changed(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }
}
